DHTML(1)

NAME
dhtml - HTML postprocessor for troff

SYNOPSIS
dhtml [-t title] < ditroff_output > html_output

DESCRIPTION
dhtml is a HTML postprocessor for troff(1). It reads the ditroff output from STDIN and writes HTML5 output to STDOUT. troff must in this case be called with option -Thtml. Missing charaters can be added by changing the files charset and CHAR (see section FILES). For adding fonts the tool needs to be recompiled (currently the legacy fonts R I B BI C CW CR CI CB H HI HB S are available).

Options:

-t title
    Set text for the HTML <title> tag.

FILES

source_dir/troff/troff.d/font/devhtml/charset
    charset which is appended to each font description file at installation of the tool (run

        # make install

    after changes of this file).

/usr/pkg/share/heirloom-doctools/font/devhtml/CHAR
    Character to HTML name mapping which is read at each run of dhtml.

EXAMPLES

    tbl manpage | troff -Thtml -mandoc \
        | dhtml -t html_title > html_file

Convert manpage into HTML format with title html_title and save it as html_file.

SEE ALSO
troff(1), dpost(1)

BUGS
For the current version no changes to the ditroff interface are done. All information for formatting the HTML page is taken from legacy ditroff commands. As a consequence the alignment cannot be as accurate as in the dpost(1) output since the character widths of HTML fonts must be supposed to be unknown.

At the moment no HTML tables are generated. tbl(1) (without options) can be used for preprocessing but mayor alingment issues may result. There is no support for equations, graphics, images, and links in this versions. These features are subject to be implemented later.